#### D.4.23.5 nsatiety

Procedure from library `noether.lib` (see noether_lib).

Usage:
  nsatiety (i); i ideal,

Return:
  an integer, the satiety of i.
  (returns -1 if i is not homogeneous)

Assume:
  i is a homogeneous ideal of the basering R=K[x(0)..x(n)].

Theory:
  The satiety, or saturation index, of a homogeneous ideal i is the least integer s such that, for all d>=s, the degree d part of the ideals i and isat=sat(i,maxideal(1)) coincide.

Example:

    LIB "noether.lib";
    ring r=0,(t,a,b,c,d),dp;
    ideal i=b4-a3d, ab3-a3c, bc4-ac3d-bcd3+ad4, c6-bc3d2-c3d3+bd5, ac5-b2c3d-ac2d3+b2d4, a2c4-a3d3+b3d3-a2cd3, b3c3-a3d3, ab2c3-a3cd2+b3cd2-ab2d3, a2bc3-a3c2d+b3c2d-a2bd3, a3c3-a3bd2, a4c2-a3b2d;
    nsatiety(i);
    ==> sat(i)=0 and the time of this computation: 2/100sec.

User manual for Singular version 4.4.1, 2025, generated by texi2html.